Skip to main content
GET
/
user
Get authorized user
curl --request GET \
  --url https://api.postflow.app/v1/user \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "email": "<string>",
  "phone": "<string>",
  "inviter_id": "<string>",
  "organization_id": "<string>",
  "role": "owner",
  "is_client": true,
  "can_approve": true,
  "can_connect_account": true,
  "can_access_all_groups": true,
  "self_approval": true,
  "time_format_24": true,
  "week_start_day": 0,
  "date_format": 1,
  "color": 1,
  "avatar": "<string>",
  "invited_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "open_cu_links_in_app": false,
  "groupIds": []
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

UserData

id
string
required
name
string
required
email
string
required
phone
string | null
required
inviter_id
string | null
required

The ID of the user who invited the user to the organization

organization_id
string
required
role
enum<string>
required
Available options:
owner,
manager,
member,
viewer
is_client
boolean
required
can_approve
boolean
required

Determines whether the user can approve posts

can_connect_account
boolean
required

Determines whether the user can connect social media accounts to the organization

can_access_all_groups
boolean
required

Determines whether the user has permissions to all groups in the organization. If not, check the permissions for the individual groups in groupIds

self_approval
boolean
required

Automatically grant your approval when you assign yourself as the assignee

time_format_24
boolean
required

The user's preferred time format

week_start_day
enum<integer>
required

The user's preferred start of the calendar week

0 Sunday
1 Monday
2 Tuesday
3 Wednesday
4 Thursday
5 Friday
6 Saturday

Available options:
0,
1,
2,
3,
4,
5,
6
date_format
enum<integer>
required

The user's preferred date format

1 DMY
2 MDY
3 YMD

Available options:
1,
2,
3
color
enum<integer>
required

1 Red
2 Green
3 Blue
4 Yellow
5 Orange
6 Pink
7 Purple
8 Sky
9 Gray

Available options:
1,
2,
3,
4,
5,
6,
7,
8,
9
avatar
string | null
required

URL to the profile image of the user

invited_at
string<date-time> | null
required

The date the user was invited to join the organization

created_at
string<date-time>
required

The date the user signed up

The user's preference for how to open ClickUp links, in the app or in a browser

groupIds
string[]
required

The IDs of the groups the user has access to. Always check can_access_all_groups first to see if the user has access to all groups.

If the user has permissions to all groups, this value will be an empty array